<?php $this->BcBaser->css('admin/ckeditor/editor', array('inline' => true)); ?>

<?php if ($this->request->action == 'admin_edit'): ?>
	<div class="em-box align-left">
		<?php if ($this->BcForm->value('Recruit.publish')): ?>
			この求人情報のURL　：<?php
			$this->BcBaser->link(
				$this->BcBaser->getUri(array('admin' => false, 'plugin' => 'recruit', 'controller' => 'recruits', 'action' => 'view', $this->BcForm->value('Recruit.id'))), array('admin' => false, 'plugin' => 'recruit', 'controller' => 'recruits', 'action' => 'view', $this->BcForm->value('Recruit.id')))
			?>
		<?php else: ?>
			この求人情報のURL　：<?php echo $this->BcBaser->getUri(array('admin' => false, 'plugin' => 'recruit', 'controller' => 'recruits', 'action' => 'view', $this->BcForm->value('Recruit.id'))) ?>
		<?php endif ?>
	</div>
<?php endif ?>

<!-- form -->
<?php echo $this->BcForm->create('Recruit', array('enctype' => 'multipart/form-data')) ?>
<div class="section">
  <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
    <?php if ($this->action == 'admin_edit'): ?>
      <tr>
        <th class="col-head"><?php echo $this->BcForm->label('Recruit.id', 'NO') ?></th>
        <td class="col-input">
          <?php echo $this->BcForm->value('Recruit.id') ?>
          <?php echo $this->BcForm->input('Recruit.id', array('type' => 'hidden')) ?>
        </td>
      </tr>
    <?php endif; ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.recruit_category_id', 'カテゴリ') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Recruit.recruit_category_id', array(
          'type' => 'select',
          'empty' => '未選択',
          'options' => $categories
        )) ?>
        <?php echo $this->BcForm->error('Recruit.recruit_category_id') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>カテゴリを選択してください。</li>
            <li>カテゴリに含めないで「未選択」のまま登録することも可能です。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.name', '求人情報タイトル') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php echo $this->BcForm->input('Recruit.name', array('type' => 'text')) ?>
        <?php echo $this->BcForm->error('Recruit.name') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>求人情報タイトルを入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.occupations', '募集職種') ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Recruit.occupations',array('rows' => '2', 'cols' => '5')) ?>
				<?php echo $this->BcForm->error('Recruit.occupations') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>募集職種を入力してください。自由に記述できます。</li>
					</ul>
				</div>
			</td>
		</tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.business_content', '業務内容') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.business_content',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.business_content') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>業務内容を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.employment_status', '雇用形態') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.employment_status',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.employment_status') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>雇用形態を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.location', '勤務地') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.location',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.location') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>勤務地を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.salaries', '給与・諸手当') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.salaries',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.salaries') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>給与・諸手当を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.raise_and_bonus', '昇給・賞与') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.raise_and_bonus',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.raise_and_bonus') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>昇給・賞与を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.treatment_and_welfare', '待遇・福利厚生') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.treatment_and_welfare',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.treatment_and_welfare') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>待遇・福利厚生を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.educational_background', '年齢・学歴') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.educational_background',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.educational_background') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>年齢・学歴を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
     <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.qualifications', '経験・資格') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.qualifications',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.qualifications') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>経験・資格を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.working_hours', '就業時間') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.working_hours',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.working_hours') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>就業時間を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.holiday', '休日・休暇') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.holiday',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.holiday') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>休日・休暇を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.apply', '応募方法') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.apply',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.apply') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>応募方法を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.selection_method', '選考方法') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.selection_method',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.selection_method') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>選考方法を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.contact', '問い合わせ先') ?></th>
      <td class="col-input">
        <?php echo $this->BcForm->textarea('Recruit.contact',array('rows' => '2', 'cols' => '5')) ?>
        <?php echo $this->BcForm->error('Recruit.contact') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>問い合わせ先を入力してください。自由に記述できます。</li>
          </ul>
        </div>
      </td>
    </tr>

    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.text', 'ＰＲ文') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php
        if ($setting['RecruitSetting']['editor_type'] == 'textarea') {
          echo $this->BcForm->textarea('Recruit.text',array('rows' => '10', 'cols' => '5'));
        } else {
          echo $this->BcForm->editor('Recruit.text', array_merge(array(
            'editor' => @$siteConfig['editor'],
            'editorUseDraft' => false,
            'editorDraftField' => 'text_draft',
            'editorWidth' => 'auto',
            'editorHeight' => '480px',
            'editorEnterBr' => @$siteConfig['editor_enter_br']
          ), $editorOptions));
        }
        ?>
        <?php echo $this->BcForm->error('Recruit.text') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>ＰＲ文を入力してください。</li>
          </ul>
        </div>
      </td>
    </tr>

    <?php if ($setting['RecruitSetting']['image01'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.image_1', '画像１') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($recruit['Recruit']['image_1'])): ?>
          <?php $this->BcBaser->img($imgPath.$recruit['Recruit']['image_1'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Recruit.del_image_1', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Recruit.image_1', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Recruit.image_1') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['RecruitSetting']['image02'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.image_2', '画像２') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($recruit['Recruit']['image_2'])): ?>
          <?php $this->BcBaser->img($imgPath.$recruit['Recruit']['image_2'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Recruit.del_image_2', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Recruit.image_2', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Recruit.image_2') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['RecruitSetting']['image03'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.image_3', '画像３') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($recruit['Recruit']['image_3'])): ?>
          <?php $this->BcBaser->img($imgPath.$recruit['Recruit']['image_3'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Recruit.del_image_3', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Recruit.image_3', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Recruit.image_3') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

    <?php if ($setting['RecruitSetting']['image04'] == 0) : ?>
    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.image_4', '画像４') ?></th>
      <td class="col-input">
        <?php if ($this->request->action == 'admin_edit' && !empty($recruit['Recruit']['image_4'])): ?>
          <?php $this->BcBaser->img($imgPath.$recruit['Recruit']['image_4'], array('width' => '150px')) ?>
          <br />
          <?php echo $this->BcForm->input('Recruit.del_image_4', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
          <br />
        <?php endif; ?>
        <?php echo $this->BcForm->input('Recruit.image_4', array('type' => 'file')) ?>
        <?php echo $this->BcForm->error('Recruit.image_4') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>画像を登録できます。</li>
            <li>画像サイズは「利用設定」での設定内容によります。デフォルト値は500px×500pxです。</li>
          </ul>
        </div>
      </td>
    </tr>
    <?php endif; ?>

		<?php if ($setting['RecruitSetting']['other01'] == 0) : ?>
		<?php
			if (!empty($setting['RecruitSetting']['other01_title'])){
				$other01Title = $setting['RecruitSetting']['other01_title'];
			} else {
				$other01Title = 'その他１';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.other_1', $other01Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Recruit.other_1'); ?>
				<?php echo $this->BcForm->error('Recruit.other_1') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['RecruitSetting']['other02'] == 0) : ?>
		<?php
			if (!empty($setting['RecruitSetting']['other02_title'])){
				$other02Title = $setting['RecruitSetting']['other02_title'];
			} else {
				$other02Title = 'その他２';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.other_2', $other02Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Recruit.other_2'); ?>
				<?php echo $this->BcForm->error('Recruit.other_2') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['RecruitSetting']['other03'] == 0) : ?>
		<?php
			if (!empty($setting['RecruitSetting']['other03_title'])){
				$other03Title = $setting['RecruitSetting']['other03_title'];
			} else {
				$other03Title = 'その他３';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.other_3', $other03Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Recruit.other_3'); ?>
				<?php echo $this->BcForm->error('Recruit.other_3') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['RecruitSetting']['other04'] == 0) : ?>
		<?php
			if (!empty($setting['RecruitSetting']['other04_title'])){
				$other04Title = $setting['RecruitSetting']['other04_title'];
			} else {
				$other04Title = 'その他４';
			}
		 ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.other_4', $other04Title) ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->textarea('Recruit.other_4'); ?>
				<?php echo $this->BcForm->error('Recruit.other_4') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なテキストを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

		<?php if ($setting['RecruitSetting']['url01'] == 0) : ?>
		<tr>
			<th class="col-head"><?php echo $this->BcForm->label('Recruit.url_1', 'URL') ?></th>
			<td class="col-input">
				<?php echo $this->BcForm->text('Recruit.url_1', array('size' => '40')); ?>
				<?php echo $this->BcForm->error('Recruit.url_1') ?>
				<?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
				<div id="helptextName" class="helptext">
					<ul>
						<li>必要なURLを入力してください。</li>
					</ul>
				</div>
			</td>
		</tr>
		<?php endif; ?>

    <tr>
      <th class="col-head"><?php echo $this->BcForm->label('Recruit.publish', '公開設定') ?>&nbsp;<span class="required">*</span></th>
      <td class="col-input">
        <?php $options = array(0 => '非公開', 1 => '公開') ?>
        <?php echo $this->BcForm->input('Recruit.publish', array(
          'type' => 'select',
          'options' => $options
        )) ?>
        <?php echo $this->BcForm->error('Recruit.publish') ?>
        <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
        <div id="helptextName" class="helptext">
          <ul>
            <li>このデータを公開するかどうかを設定できます。</li>
          </ul>
        </div>
      </td>
    </tr>
    </table>
  </div>
  <!-- button -->
  <div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if ($this->action == 'admin_edit'): ?>
      <?php
      $this->BcBaser->link('削除', array('action' => 'delete', $this->BcForm->value('Recruit.id')), array('class' => 'button'), sprintf('本当に削除してもいいですか？'), false);
      ?>
    <?php endif ?>
  </div>

  <?php echo $this->BcForm->end() ?>
