<h2><?php $this->BcBaser->contentsTitle() ?></h2>

<?php if(!empty($recruit)): ?>
  <h3><?php $this->Recruit->recruitName($recruit) ?></h3>
  <table>
    <tr>
      <th>
        募集職種
      </th>
      <td>
        <?php $this->Recruit->occupations($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        業務内容
      </th>
      <td>
        <?php $this->Recruit->businessContent($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        雇用形態
      </th>
      <td>
        <?php $this->Recruit->employmentStatus($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        勤務地
      </th>
      <td>
        <?php $this->Recruit->location($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        給与・諸手当
      </th>
      <td>
        <?php $this->Recruit->salaries($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        昇給・賞与
      </th>
      <td>
        <?php $this->Recruit->raiseAndBonus($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        待遇・福利厚生
      </th>
      <td>
        <?php $this->Recruit->treatmentAndWelfare($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        年齢・学歴
      </th>
      <td>
        <?php $this->Recruit->educationalBackground($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        経験・資格
      </th>
      <td>
        <?php $this->Recruit->qualifications($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        就業時間
      </th>
      <td>
        <?php $this->Recruit->workingHours($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        休暇・休日
      </th>
      <td>
        <?php $this->Recruit->holiday($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        応募方法
      </th>
      <td>
        <?php $this->Recruit->apply($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        選考方法
      </th>
      <td>
        <?php $this->Recruit->selectionMethod($recruit) ?>
      </td>
    </tr>
    <tr>
      <th>
        問い合せ方法
      </th>
      <td>
        <?php $this->Recruit->contact($recruit) ?>
      </td>
    </tr>
  </table>
  <div class="">
    <?php $this->Recruit->content($recruit) ?>
  </div>
  <?php
  //汎用項目1を取得する例
  //$this->Recruit->otherField($recruit,1);

  //画像１を取得する例
  //$this->Recruit->image($recruit,1);

  //URLを取得する例
  //$this->Recruit->recruitUrl($recruit);
  ?>
<?php else: ?>
  <p>データを表示できません。</p>
<?php endif; ?>
